<?php
/*
Plugin Name: pdf2tab
Version: 2.5.a
Description: open pdf files in new tab instead of downloading it
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=655
Author: Julien1311
*/

//Check whether we are indeed included by Piwigo.
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

if (mobile_theme())
	return;

define('PDF2TAB_ABSOLUTE_PATH' , dirname(__FILE__).'/');
define('PDF2TAB_DIR' , basename(dirname(__FILE__)));
define('PDF2TAB_PATH' , PHPWG_PLUGINS_PATH.PDF2TAB_DIR.'/');
define('PDF2TAB_ADMIN' , get_root_url() . 'admin.php?page=plugin-'.PDF2TAB_DIR);

/* +-----------------------------------------------------------------------+
 * | Plugin admin                                                          |
 * +-----------------------------------------------------------------------+ */

// Add an entry to the plugins menu
add_event_handler('get_admin_plugin_menu_links', 'pdf2tab_admin_menu');

function pdf2tab_admin_menu($menu) {
		array_push($menu, array(
				'NAME'  => 'PDF2Tab',
				'URL'   => PDF2TAB_ADMIN,
		)
	);     
	return $menu;
}

/* +-----------------------------------------------------------------------+
 * | Plugin code                                                          |
 * +-----------------------------------------------------------------------+ */

include_once(PDF2TAB_PATH.'include/thumbnails.inc.php');
include_once(PDF2TAB_PATH.'include/picture.inc.php');

add_event_handler('loc_begin_admin_page', 'pdf2tab_css');

function pdf2tab_css() {
	global $template, $conf;

	if (defined('IN_ADMIN') and IN_ADMIN)
		$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.PDF2TAB_PATH.'css/admin.css">');
}
?>